Bug 888980 - Attempting to delete volume in use leaves Traceback in error_log
Summary: Attempting to delete volume in use leaves Traceback in error_log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: snapshot1
: 3.0
Assignee: Matthias Runge
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 23:11 UTC by Russell Bryant
Modified: 2016-04-27 02:19 UTC (History)
2 users (show)

Fixed In Version: python-django-horizon-2013.1.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 15:02:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0878 0 normal SHIPPED_LIVE Red Hat OpenStack 3.0 ("Grizzly") Preview bug fix and enhancement update 2013-05-29 19:01:24 UTC

Description Russell Bryant 2012-12-19 23:11:56 UTC
Description of problem:

I have a volume that has a snapshot that depends on it.  As expected, I can not delete it.  When I click the "Delete Volume" button in Horizon for this volume, I get an appropriate error dialog that tells me why it can not be deleted.  However, this action leaves a large traceback in /var/log/httpd/error_log.  I don't think it should be in the error log.  It's an expected type of error that should be handled gracefully.


[Wed Dec 19 23:03:30 2012] [error] \x1b[31;1mRecoverable error: Invalid volume: Volume still has 1 dependent snapshots (HTTP 400) (Request-ID: req-eb508bc7-d8c6-42f2-ba04-be99d976c45f)\x1b[0m
[Wed Dec 19 23:03:30 2012] [error] Traceback (most recent call last):
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/tables/actions.py", line 509, in handle
[Wed Dec 19 23:03:30 2012] [error]     self.action(request, datum_id)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/tables/actions.py", line 556, in action
[Wed Dec 19 23:03:30 2012] [error]     return self.delete(request, obj_id)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/nova/volumes/tables.py", line 47, in delete
[Wed Dec 19 23:03:30 2012] [error]     exceptions.check_message(["snapshots", "dependent"], msg % name)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/nova/volumes/tables.py", line 43, in delete
[Wed Dec 19 23:03:30 2012] [error]     api.volume_delete(request, obj_id)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/horizon/api/nova.py", line 550, in volume_delete
[Wed Dec 19 23:03:30 2012] [error]     cinderclient(request).volumes.delete(volume_id)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/cinderclient/v1/volumes.py", line 179, in delete
[Wed Dec 19 23:03:30 2012] [error]     self._delete("/volumes/%s" % base.getid(volume))
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/cinderclient/base.py", line 158, in _delete
[Wed Dec 19 23:03:30 2012] [error]     resp, body = self.api.client.delete(url)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/cinderclient/client.py", line 147, in delete
[Wed Dec 19 23:03:30 2012] [error]     return self._cs_request(url, 'DELETE', **kwargs)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/cinderclient/client.py", line 126, in _cs_request
[Wed Dec 19 23:03:30 2012] [error]     **kwargs)
[Wed Dec 19 23:03:30 2012] [error]   File "/usr/lib/python2.6/site-packages/cinderclient/client.py", line 109, in request
[Wed Dec 19 23:03:30 2012] [error]     raise exceptions.from_response(resp, body)
[Wed Dec 19 23:03:30 2012] [error] BadRequest: Invalid volume: Volume still has 1 dependent snapshots (HTTP 400) (Request-ID: req-eb508bc7-d8c6-42f2-ba04-be99d976c45f)



Version-Release number of selected component (if applicable):

python-django-horizon-2012.2.1-2.el6ost.noarch

Comment 2 Matthias Runge 2013-05-15 09:14:46 UTC
For me, this issue is fixed on grizzly.

Comment 4 Nir Magnezi 2013-05-22 12:19:04 UTC
Verified NVR: python-django-horizon-2013.1.1-1.el6ost.noarch

Tested via horizon:

1. Created a Volume.
2. Created a Volume Snapshot.
3. Tried to delete the Volume.

The traceback is now replaced with:
[Wed May 22 07:17:17 2013] [error] \x1b[31;1mRecoverable error: Invalid volume: Volume still has 1 dependent snapshots (HTTP 400) (Request-ID: req-91c1dc42-7058-4cd7-bd52-7adb23964e10)\x1b[0m

Comment 6 errata-xmlrpc 2013-05-29 15:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0878.html


Note You need to log in before you can comment on or make changes to this bug.